Bug #17008

AttributeError: module 'httplib2' has no attribute 'SSLHandshakeError'

Added by Michael Crusoe about 1 year ago. Updated 7 months ago.

Status:
Resolved
Priority:
Normal
Assigned To:
-
Category:
-
Target version:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Story points:
-
Release relationship:
Auto

Description

From running CWL v1.0 conformance tests against https://workbench.covid19workflows-vu.surf-hosted.nl

Test 47 failed: /home/michael/common-workflow-language/arvenv3.6/bin/arvados-cwl-runner --compute-checksum --project-uuid=testc-j7d0g-n7la9srj0ycdvix --outdir=/tmp/tmpc8__hhgl --quiet v1.0/env-wf2.cwl v1.0/env-job.json
Test requirements override hints
Returned non-zero
ERROR [container env-wf2.cwl] (testc-dz642-uych2j0mwa6vm49) error log:

  2020-10-15T14:52:21.285202240Z stderr     for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
  2020-10-15T14:52:21.285202240Z stderr socket.gaierror: [Errno -3] Temporary failure in name resolution
  2020-10-15T14:52:21.285202240Z stderr
  2020-10-15T14:52:21.285202240Z stderr During handling of the above exception, another exception occurred:
  2020-10-15T14:52:21.285202240Z stderr
  2020-10-15T14:52:21.285202240Z stderr Traceback (most recent call last):
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/api.py", line 85, in _intercept_http_request
  2020-10-15T14:52:21.285202240Z stderr     return self.orig_http_request(uri, method, headers=headers, **kwargs)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/httplib2/__init__.py", line 1994, in request
  2020-10-15T14:52:21.285202240Z stderr     cachekey,
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/httplib2/__init__.py", line 1651, in _request
  2020-10-15T14:52:21.285202240Z stderr     conn, request_uri, method, body, headers
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/httplib2/__init__.py", line 1564, in _conn_request
  2020-10-15T14:52:21.285202240Z stderr     raise ServerNotFoundError("Unable to find the server at %s" % conn.host)
  2020-10-15T14:52:21.285202240Z stderr httplib2.ServerNotFoundError: Unable to find the server at hackathon.covid19workflows-vu.surf-hosted.nl
  2020-10-15T14:52:21.285202240Z stderr
  2020-10-15T14:52:21.285202240Z stderr During handling of the above exception, another exception occurred:
  2020-10-15T14:52:21.285202240Z stderr
  2020-10-15T14:52:21.285202240Z stderr Traceback (most recent call last):
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados_cwl/__init__.py", line 297, in main
  2020-10-15T14:52:21.285202240Z stderr     keep_params={"num_retries": 4})
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/safeapi.py", line 33, in __init__
  2020-10-15T14:52:21.285202240Z stderr     self.localapi()
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/safeapi.py", line 40, in localapi
  2020-10-15T14:52:21.285202240Z stderr     **self.api_params)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/api.py", line 278, in api_from_config
  2020-10-15T14:52:21.285202240Z stderr     return api(version=version, host=host, token=token, insecure=insecure, **kwargs)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/api.py", line 236, in api
  2020-10-15T14:52:21.285202240Z stderr     svc = apiclient_discovery.build('arvados', version, cache_discovery=False, **kwargs)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/googleapiclient/_helpers.py", line 130, in positional_wrapper
  2020-10-15T14:52:21.285202240Z stderr     return wrapped(*args, **kwargs)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/googleapiclient/discovery.py", line 222, in build
  2020-10-15T14:52:21.285202240Z stderr     requested_url, discovery_http, cache_discovery, cache)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/googleapiclient/discovery.py", line 269, in _retrieve_discovery_doc
  2020-10-15T14:52:21.285202240Z stderr     resp, content = http.request(actual_url)
  2020-10-15T14:52:21.285202240Z stderr   File "/usr/share/python3/dist/python3-arvados-cwl-runner/lib/python3.7/site-packages/arvados/api.py", line 99, in _intercept_http_request
  2020-10-15T14:52:21.285202240Z stderr     except httplib2.SSLHandshakeError as e:
  2020-10-15T14:52:21.285202240Z stderr AttributeError: module 'httplib2' has no attribute 'SSLHandshakeError'
  2020-10-15T14:52:21.610802843Z crunch-run Container exited with code: 1
  2020-10-15T14:52:21.753959895Z crunch-run Complete
ERROR Overall process status is permanentFail
WARNING Final process status is permanentFail

Associated revisions

Revision 4878068a (diff)
Added by Michael R. Crusoe about 1 year ago

SSLHandshakeError is Python 2 only refs #17008

Arvados-DCO-1.1-Signed-off-by: Michael R. Crusoe <>

History

#1 Updated by Michael Crusoe about 1 year ago

$ python2.7 -c 'import httplib2 ; print(httplib2.SSLHandshakeError)'
<class 'httplib2.SSLHandshakeError'>

$ python3 -c 'import httplib2 ; print(httplib2.SSLHandshakeError)'
Traceback (most recent call last):
File "<string>", line 1, in <module>
AttributeError: module 'httplib2' has no attribute 'SSLHandshakeError'

Found in their python2 codebase, but not in the python3 codebase

https://github.com/httplib2/httplib2/blob/9bf300cdc372938f4237150d5b9b615879eb51a1/python2/httplib2/__init__.py#L239

https://github.com/httplib2/httplib2/blob/9bf300cdc372938f4237150d5b9b615879eb51a1/python3/httplib2/__init__.py

#3 Updated by Michael Crusoe about 1 year ago

  • Description updated (diff)

#4 Updated by Peter Amstutz 7 months ago

  • Release set to 38

#5 Updated by Peter Amstutz 7 months ago

  • Status changed from New to Resolved

Also available in: Atom PDF